

package gov.va.med.cds.audit;


import java.io.Serializable;


public class ClientMappingPathways
    implements
        Serializable
{
    private static final long serialVersionUID = -795550175631179757L;

    protected Long clientMappingId;
    protected FilterIdWrapper filterIdWrapper = new FilterIdWrapper();
    protected TemplateIdWrapper templateIdWrapper = new TemplateIdWrapper();
    protected String name;
    protected String shortName;
    protected String domainEntryPoints;
    protected String domains;

    
    
    public ClientMappingPathways()
    {
        super();
    }
    
    
    public ClientMappingPathways( String filterId, String templateId )
    {
        super();
        setFilterId( filterId );
        setTemplateId( templateId );
    }


    public FilterIdWrapper getFilterIdWrapper( )
    {
        return filterIdWrapper;
    }


    public void setFilterIdWrapper( FilterIdWrapper filterIdWrapper)
    {
        this.filterIdWrapper = filterIdWrapper;
    }
    
    public String getFilterId( )
    {
        return filterIdWrapper.getFilterId();
    }
    
    public void setFilterId( String aFilterId )
    {
        filterIdWrapper.setFilterId( aFilterId );
    }


    public TemplateIdWrapper getTemplateIdWrapper( )
    {
        return templateIdWrapper;
    }


    public void setTemplateIdWrapper( TemplateIdWrapper templateIdWrapper)
    {
        this.templateIdWrapper = templateIdWrapper;
    }
    
    public String getTemplateId( )
    {
        return templateIdWrapper.getTemplateId();
    }
    
    
    public void setTemplateId( String aTemplateId )
    {
        templateIdWrapper.setTemplateId( aTemplateId );
    }


    public Long getClientMappingId( )
    {
        return clientMappingId;
    }


    public void setClientMappingId( Long clientMappingId )
    {
        this.clientMappingId = clientMappingId;
    }


    public String getName( )
    {
        return name;
    }


    public void setName( String name )
    {
        this.name = name;
    }


    public String getShortName( )
    {
        return shortName;
    }


    public void setShortName( String shortName )
    {
        this.shortName = shortName;
    }


    public String getDomainEntryPoints( )
    {
        return domainEntryPoints;
    }


    public void setDomainEntryPoints( String domainEntryPoints )
    {
        this.domainEntryPoints = domainEntryPoints;
    }


    public String getDomains( )
    {
        return domains;
    }


    public void setDomains( String domains )
    {
        this.domains = domains;
    }
}
